
// source 合并到 target 上面, 并且会替换 target 同属性部分
export function assignOption (target, source) {
  const rtn = {...target}
  Object.keys(source).forEach((key) => {
    const val = source[key]
    const origin = rtn[key]
    if (typeof val === 'object') {
      if (typeof origin === 'object') {
        rtn[key] = assignOption(origin, val)
      } else {
        rtn[key] = val
      }
    } else {
      rtn[key] = val
    }
  })

  return rtn
}
