import React from 'react';
import { sortableContainer } from 'react-sortable-hoc';
import Styles from './style.less'

export const SortableContainer = sortableContainer(props => <tbody {...props} />);

export default (props) => (
  <SortableContainer
    useDragHandle
    disableAutoscroll
    helperClass={Styles['row-dragging']}
    onSortEnd={props.onSortEnd}
    {...props}
  />
);
